package cn.ysk.cashier.mybatis.service;

import cn.ysk.cashier.dto.shop.TbShopAdDto;
import cn.ysk.cashier.mybatis.entity.TbShopAd;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

import java.util.Map;

/**
 * @author GYJ
 */
public interface TbShopAdService extends IService<TbShopAd> {

    ResponseEntity<Object> createTbShopAd(TbShopAdDto adDto);

    ResponseEntity<Object> updateTbShopAd(TbShopAdDto adDto);

    ResponseEntity<Object> deleteTbShopAd(Integer adId);

    ResponseEntity<Object> getTbShopAd(Map<String, Object> params);
}
